SimpleRandomInertia Class Reference

Simple Random Inertia. More...

`#include <ql/experimental/math/particleswarmoptimization.hpp>`

Inheritance diagram for SimpleRandomInertia:
[legend]

## Public Member Functions

| SimpleRandomInertia (Real threshold=0.5, unsigned long seed=SeedGenerator::instance().get())
void | setSize (Size M, Size N, Real c0, const EndCriteria &endCriteria)
| initialize state for current problem
void | setValues ()
| produce changes to PSO state for current iteration

## Additional Inherited Members

Protected Member Functions inherited from ParticleSwarmOptimization::Inertia
virtual void | init (ParticleSwarmOptimization *pso)
Protected Attributes inherited from ParticleSwarmOptimization::Inertia
ParticleSwarmOptimization * | pso_
std::vector< Array > * | X_
std::vector< Array > * | V_
std::vector< Array > * | pBX_
std::vector< Array > * | gBX_
Array * | pBF_
Array * | gBF_
Array * | lX_
Array * | uX_

## Detailed Description

Simple Random Inertia.